Apache Tomcat 7.0.42

## org.apache.el.parser
Class AstMethodParameters

    java.lang.Object
      org.apache.el.lang.ELSupport
          org.apache.el.parser.SimpleNode
              org.apache.el.parser.AstMethodParameters

All Implemented Interfaces:
  Node

    public final class AstMethodParameters

extends SimpleNode

$Id: AstMethodParameters.java 899450 2010-01-14 22:41:41Z markt $

Field Summary

Fields inherited from class org.apache.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstMethodParameters(int id)`

Method Summary
`Object[]` `getParameters(EvaluationContext ctx)`
`Class<?>[]` `getParameterTypes(EvaluationContext ctx)`

Methods inherited from class org.apache.el.parser.SimpleNode
`accept, equals, getImage, getMethodInfo, getType, getValue, getValueReference, hashCode, invoke, isParametersProvided, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class org.apache.el.lang.ELSupport
`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isLongOp, isStringFloat`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstMethodParameters

    public AstMethodParameters(int id)

Method Detail

### getParameters

    public Object[] getParameters(EvaluationContext ctx)

### getParameterTypes

    public Class<?>[] getParameterTypes(EvaluationContext ctx)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.